
package de.ivu.elect.presentation.gebietsbaum.action;

import javax.inject.Named;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.gebietsbaum.polygon.GebietGeometrieZuweisenView;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

@Named(GebietGeometrieZuweisenAction.COMPONENT_NAME)
public class GebietGeometrieZuweisenAction extends AbstractGebietAction {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "gebietGeometrieZuweisenAction";

  public GebietGeometrieZuweisenAction() {
    super();
  }

  @Override
  protected UseCasePermission getRequiredPermission() {
    return UseCasePermission.GEBIET_GEOMETRIE_BEARBEITEN;
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return getEinsehenGebietSecurity();
  }

  @Override
  protected String doIt(Gebiet entity) {
    gebietSessionSelect.setEntity(entity);

    return GebietGeometrieZuweisenView.VIEW_ID;
  }

  @Override
  public String getLabelKey() {
    return "gebiet.geometrie.action.zuweisen";
  }

  @Override
  public String getIcon() {
    return appIcons.getIconImport();
  }
}
